import { Driver } from "../Driver";
import { Truck } from "../Truck";

export abstract class TruckState {
    protected truck!: Truck;

    public setTruck (truck: Truck) {
        this.truck = truck;
    };

    public abstract name: string;

    public abstract changeDriver(): void;

    public abstract startRun(): void;

    public abstract startRepair(): void;
};